osg::ArgumentParser::Parameter::ValueUnion Union Reference

`#include <ArgumentParser>`

## Public Attributes

bool * | _bool
float * | _float
double * | _double
int * | _int
unsigned int * | _uint
std::string * | _string

## Member Data Documentation

## _bool

bool* osg::ArgumentParser::Parameter::ValueUnion::_bool

## _double

double* osg::ArgumentParser::Parameter::ValueUnion::_double

## _float

float* osg::ArgumentParser::Parameter::ValueUnion::_float

## _int

int* osg::ArgumentParser::Parameter::ValueUnion::_int

## _string

std::string* osg::ArgumentParser::Parameter::ValueUnion::_string

## _uint

unsigned int* osg::ArgumentParser::Parameter::ValueUnion::_uint

The documentation for this union was generated from the following file:

- ArgumentParser